<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.webui.model.NutchInstance (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.webui.model.NutchInstance (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/webui/model/class-use/NutchInstance.html" target="_top">Frames</a></li>
<li><a href="NutchInstance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.webui.model.NutchInstance" class="title">Uses of Class<br>org.apache.nutch.webui.model.NutchInstance</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client">org.apache.nutch.webui.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client.impl">org.apache.nutch.webui.client.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.config">org.apache.nutch.webui.config</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.pages">org.apache.nutch.webui.pages</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.pages.instances">org.apache.nutch.webui.pages.instances</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.service">org.apache.nutch.webui.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.service.impl">org.apache.nutch.webui.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/client/package-summary.html">org.apache.nutch.webui.client</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/client/package-summary.html">org.apache.nutch.webui.client</a> that return <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchClient.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/NutchClient.html#getNutchInstance--">getNutchInstance</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/client/package-summary.html">org.apache.nutch.webui.client</a> with parameters of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/webui/client/NutchClient.html" title="interface in org.apache.nutch.webui.client">NutchClient</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchClientFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/NutchClientFactory.html#getClient-org.apache.nutch.webui.model.NutchInstance-">getClient</a></span>(<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a> that return <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchClientImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/NutchClientImpl.html#getNutchInstance--">getNutchInstance</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a> with parameters of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/NutchClientImpl.html#NutchClientImpl-org.apache.nutch.webui.model.NutchInstance-">NutchClientImpl</a></span>(<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.config">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/config/package-summary.html">org.apache.nutch.webui.config</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/config/package-summary.html">org.apache.nutch.webui.config</a> that return types with arguments of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>com.j256.ormlite.dao.Dao&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SpringConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/config/SpringConfiguration.html#createNutchDao--">createNutchDao</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NutchGuiConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/config/NutchGuiConfiguration.html#getInstances--">getInstances</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../org/apache/nutch/webui/config/package-summary.html">org.apache.nutch.webui.config</a> with type arguments of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NutchGuiConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/config/NutchGuiConfiguration.html#setInstances-java.util.List-">setInstances</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;&nbsp;instances)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/pages/package-summary.html">org.apache.nutch.webui.pages</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../org/apache/nutch/webui/pages/package-summary.html">org.apache.nutch.webui.pages</a> with type parameters of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected org.apache.wicket.model.IModel&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">AbstractBasePage.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/pages/AbstractBasePage.html#currentInstance">currentInstance</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/pages/package-summary.html">org.apache.nutch.webui.pages</a> that return <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></code></td>
<td class="colLast"><span class="typeNameLabel">AbstractBasePage.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/pages/AbstractBasePage.html#getCurrentInstance--">getCurrentInstance</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.pages.instances">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/pages/instances/package-summary.html">org.apache.nutch.webui.pages.instances</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../org/apache/nutch/webui/pages/instances/package-summary.html">org.apache.nutch.webui.pages.instances</a> with type arguments of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InstancePanel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/pages/instances/InstancePanel.html#setModel-org.apache.wicket.model.IModel-">setModel</a></span>(org.apache.wicket.model.IModel&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;&nbsp;model)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/service/package-summary.html">org.apache.nutch.webui.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/package-summary.html">org.apache.nutch.webui.service</a> that return <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceService.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/NutchInstanceService.html#getInstance-java.lang.Long-">getInstance</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/package-summary.html">org.apache.nutch.webui.service</a> that return types with arguments of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceService.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/NutchInstanceService.html#getInstances--">getInstances</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/package-summary.html">org.apache.nutch.webui.service</a> with parameters of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceService.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/NutchInstanceService.html#saveInstance-org.apache.nutch.webui.model.NutchInstance-">saveInstance</a></span>(<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CrawlService.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/CrawlService.html#startCrawl-java.lang.Long-org.apache.nutch.webui.model.NutchInstance-">startCrawl</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;crawlId,
          <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a> in <a href="../../../../../../org/apache/nutch/webui/service/impl/package-summary.html">org.apache.nutch.webui.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/impl/package-summary.html">org.apache.nutch.webui.service.impl</a> that return <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/impl/NutchInstanceServiceImpl.html#getInstance-java.lang.Long-">getInstance</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/impl/package-summary.html">org.apache.nutch.webui.service.impl</a> that return types with arguments of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/impl/NutchInstanceServiceImpl.html#getInstances--">getInstances</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/webui/service/impl/package-summary.html">org.apache.nutch.webui.service.impl</a> with parameters of type <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NutchInstanceServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/impl/NutchInstanceServiceImpl.html#saveInstance-org.apache.nutch.webui.model.NutchInstance-">saveInstance</a></span>(<a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CrawlServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/service/impl/CrawlServiceImpl.html#startCrawl-java.lang.Long-org.apache.nutch.webui.model.NutchInstance-">startCrawl</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;crawlId,
          <a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">NutchInstance</a>&nbsp;instance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/nutch/webui/model/NutchInstance.html" title="class in org.apache.nutch.webui.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/webui/model/class-use/NutchInstance.html" target="_top">Frames</a></li>
<li><a href="NutchInstance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
